import request from '@/utils/request'

// 查询用户支付密码列表
export function listUserPassword(query) {
  return request({
    url: '/service/userPassword/list',
    method: 'get',
    params: query
  })
}

// 查询用户支付密码详细
export function getUserPassword(id) {
  return request({
    url: '/service/userPassword/' + id,
    method: 'get'
  })
}

// 新增用户支付密码
export function addUserPassword(data) {
  return request({
    url: '/service/userPassword',
    method: 'post',
    data: data
  })
}

// 修改用户支付密码
export function updateUserPassword(data) {
  return request({
    url: '/service/userPassword',
    method: 'put',
    data: data
  })
}

// 删除用户支付密码
export function delUserPassword(id) {
  return request({
    url: '/service/userPassword/' + id,
    method: 'delete'
  })
}
